<?xml version="1.0" encoding="utf-8"?>
<!--NSI Web Service v8.9.1.0-->
<message:Structure xmlns:message="http://www.sdmx.org/resources/sdmxml/schemas/v2_1/message" xmlns:structure="http://www.sdmx.org/resources/sdmxml/schemas/v2_1/structure" xmlns:common="http://www.sdmx.org/resources/sdmxml/schemas/v2_1/common">
    <message:Header>
        <message:ID>IDREF202</message:ID>
        <message:Test>false</message:Test>
        <message:Prepared>2022-02-08T13:31:13.2439659+00:00</message:Prepared>
        <message:Sender id="Unknown" />
        <message:Receiver id="Unknown" />
    </message:Header>
    <message:Structures>
        <structure:Dataflows>
            <structure:Dataflow id="MILLED_RICE" agencyID="TN1" version="1.0" isFinal="true">
                <common:Annotations>
                    <common:Annotation>
                        <common:AnnotationType>NonProductionDataflow</common:AnnotationType>
                        <common:AnnotationText xml:lang="en">true</common:AnnotationText>
                    </common:Annotation>
                </common:Annotations>
                <common:Name xml:lang="en">Milled rice</common:Name>
                <structure:Structure>
                    <Ref id="MILLED_RICE" version="1.0" agencyID="TN1" package="datastructure" class="DataStructure" />
                </structure:Structure>
            </structure:Dataflow>
        </structure:Dataflows>
        <structure:Codelists>
            <structure:Codelist id="CL_FREQ_A" agencyID="TN1" version="1.0" isFinal="true">
                <common:Name xml:lang="en">Frequency</common:Name>
                <structure:Code id="A">
                    <common:Name xml:lang="en">Annual</common:Name>
                </structure:Code>
            </structure:Codelist>
            <structure:Codelist id="CL_PROVINCES" agencyID="TN1" version="1.0" isFinal="true">
                <common:Name xml:lang="en">Provinces of Cambodia</common:Name>
                <structure:Code id="ASIKHM">
                    <common:Name xml:lang="en">Cambodia</common:Name>
                </structure:Code>
                <structure:Code id="ASIKHM001">
                    <common:Name xml:lang="en">Banteay Meanchey</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM002">
                    <common:Name xml:lang="en">Battambang</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM003">
                    <common:Name xml:lang="en">Kampong Cham</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM004">
                    <common:Name xml:lang="en">Kampong Chhnang</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM005">
                    <common:Name xml:lang="en">Kampong Speu</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM006">
                    <common:Name xml:lang="en">Kampong Thom</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM007">
                    <common:Name xml:lang="en">Kampot</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM008">
                    <common:Name xml:lang="en">Kandal</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM009">
                    <common:Name xml:lang="en">Koh Kong</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM010">
                    <common:Name xml:lang="en">Kratie</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM011">
                    <common:Name xml:lang="en">Mondul Kiri</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM012">
                    <common:Name xml:lang="en">Phnom Penh</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM013">
                    <common:Name xml:lang="en">Preah Vihear</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM014">
                    <common:Name xml:lang="en">Prey Veng</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM015">
                    <common:Name xml:lang="en">Pursat</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM016">
                    <common:Name xml:lang="en">Ratanak Kiri</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM017">
                    <common:Name xml:lang="en">Siem Reap</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM018">
                    <common:Name xml:lang="en">Preah Sihanouk</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM019">
                    <common:Name xml:lang="en">Stung Treng</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM020">
                    <common:Name xml:lang="en">Svay Rieng</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM021">
                    <common:Name xml:lang="en">Takeo</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM022">
                    <common:Name xml:lang="en">Otdar Meanchey</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM023">
                    <common:Name xml:lang="en">Kep</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM024">
                    <common:Name xml:lang="en">Pailin</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
                <structure:Code id="ASIKHM025">
                    <common:Name xml:lang="en">Tboung Khmum</common:Name>
                    <structure:Parent>
                        <Ref id="ASIKHM" />
                    </structure:Parent>
                </structure:Code>
            </structure:Codelist>
            <structure:Codelist id="CL_UNIT_TONES" agencyID="TN1" version="1.0" isFinal="true">
                <common:Name xml:lang="en">Unit of measure: tones</common:Name>
                <structure:Code id="TONES">
                    <common:Name xml:lang="en">Tones</common:Name>
                </structure:Code>
            </structure:Codelist>
        </structure:Codelists>
        <structure:Concepts>
            <structure:ConceptScheme id="CS_DSD_DevInfo" agencyID="TN1" version="1.0" isFinal="true">
                <common:Name xml:lang="en">Concept Scheme for DSD</common:Name>
                <common:Description xml:lang="en">List of Concepts to be used in DSD</common:Description>
                <structure:Concept id="TIME_PERIOD">
                    <common:Name xml:lang="en">Time Period</common:Name>
                    <common:Description xml:lang="en">Reference date - or date range - the observed value refers to (usually different from the dates of data production or dissemination). All four format (Gregorian Time Period, Date Time, Reporting Time Period, Time Range) supported by SDMX are allowed.</common:Description>
                </structure:Concept>
                <structure:Concept id="OBS_VALUE">
                    <common:Name xml:lang="en">Observation value</common:Name>
                    <common:Description xml:lang="en">Actual observation.</common:Description>
                </structure:Concept>
                <structure:Concept id="REF_AREA">
                    <common:Name xml:lang="en">Reference area</common:Name>
                    <common:Description xml:lang="en">Reference Area: Specific areas (e.g. Country, Regional Grouping, etc)  the observed values refer to. Reference areas can be determined according to different criteria (e.g.: geographical, economic, etc.)</common:Description>
                </structure:Concept>
                <structure:Concept id="INDICATOR">
                    <common:Name xml:lang="en">Indicator</common:Name>
                    <common:Description xml:lang="en">The phenomenon or phenomena to be measured in the data set. The word INDICATOR is used for consistency with the term used in the DevInfo.</common:Description>
                </structure:Concept>
                <structure:Concept id="UNIT">
                    <common:Name xml:lang="en">Unit of measure</common:Name>
                    <common:Description xml:lang="en">Dimension by which the indicators are described (e.g.: percentage, USD, etc.)</common:Description>
                </structure:Concept>
                <structure:Concept id="UNIT_MEASURE">
                    <common:Name xml:lang="en">Unit of measure</common:Name>
                    <common:Description xml:lang="en">Dimension by which the indicators are described (e.g.: percentage, USD, etc.)</common:Description>
                </structure:Concept>
                <structure:Concept id="UNIT_MULT">
                    <common:Name xml:lang="en">Unit multiplier</common:Name>
                    <common:Description xml:lang="en">Exponent in base 10 specified so that multiplying the observation numeric values by 10^UNIT_MULT gives a value expressed in the unit of measure.</common:Description>
                </structure:Concept>
                <structure:Concept id="FREQ">
                    <common:Name xml:lang="en">Frequency</common:Name>
                    <common:Description xml:lang="en">Indicates rate of recurrence at which observations occur (e.g. monthly, yearly, biannually, etc.)</common:Description>
                </structure:Concept>
                <structure:Concept id="SOURCE">
                    <common:Name xml:lang="en">Source</common:Name>
                    <common:Description xml:lang="en">Source of  survey, administrative records, census etc.</common:Description>
                </structure:Concept>
                <structure:Concept id="NATURE">
                    <common:Name xml:lang="en">Nature</common:Name>
                    <common:Description xml:lang="en">Information on the production and dissemination of the data (e.g.: if the figure has been produced and disseminated by the country, estimated by international agencies, etc.)</common:Description>
                </structure:Concept>
                <structure:Concept id="DENOMINATOR">
                    <common:Name xml:lang="en">Denominator</common:Name>
                    <common:Description xml:lang="en">Base denominator value associated with observation.</common:Description>
                </structure:Concept>
                <structure:Concept id="FOOTNOTES">
                    <common:Name xml:lang="en">Footnotes</common:Name>
                    <common:Description xml:lang="en">Additional information on specific aspects of each observation, such as how the observation was computed/estimated or details that could affect the comparability of this data point with others in a time series.</common:Description>
                </structure:Concept>
                <structure:Concept id="CONFIDENCE_INTERVAL_UPPER">
                    <common:Name xml:lang="en">Confidence interval - Upper</common:Name>
                    <common:Description xml:lang="en">Upper measure of the probability that the observation value will fall below this value.</common:Description>
                </structure:Concept>
                <structure:Concept id="CONFIDENCE_INTERVAL_LOWER">
                    <common:Name xml:lang="en">Confidence interval - Lower</common:Name>
                    <common:Description xml:lang="en">Lower measure of the probability that the observation value will fall above this value.</common:Description>
                </structure:Concept>
                <structure:Concept id="LOCATION">
                    <common:Name xml:lang="en">Location</common:Name>
                    <common:Description xml:lang="en">Refers to a disaggregation within the Reference Area the data alludes; normally National (total), Urban or Rural - although additional disaggregations are possible within an area (e.g. subUrban).</common:Description>
                </structure:Concept>
                <structure:Concept id="SEX">
                    <common:Name xml:lang="en">Sex</common:Name>
                    <common:Description xml:lang="en">Gender condition: male or female. This dimension applies only if data can be dissaggregated by sex.</common:Description>
                </structure:Concept>
                <structure:Concept id="AGE">
                    <common:Name xml:lang="en">Age</common:Name>
                    <common:Description xml:lang="en">Age - or age range - of the individuals the observation refers to.</common:Description>
                </structure:Concept>
                <structure:Concept id="OTHERS">
                    <common:Name xml:lang="en">Other</common:Name>
                    <common:Description xml:lang="en">A subgroup concept.</common:Description>
                </structure:Concept>
                <structure:Concept id="EDUCATION">
                    <common:Name xml:lang="en">Education level</common:Name>
                </structure:Concept>
                <structure:Concept id="GRADE">
                    <common:Name xml:lang="en">Grade</common:Name>
                </structure:Concept>
                <structure:Concept id="SECTOR">
                    <common:Name xml:lang="en">Economic activity sector</common:Name>
                </structure:Concept>
                <structure:Concept id="ANTENTAL_CARE_CONSULTATION">
                    <common:Name xml:lang="en">Antental care consultations</common:Name>
                </structure:Concept>
                <structure:Concept id="BOP_RATIO">
                    <common:Name xml:lang="en">Balance of payment ratio</common:Name>
                </structure:Concept>
                <structure:Concept id="BOP_ITEM">
                    <common:Name xml:lang="en">Balance of payment item</common:Name>
                </structure:Concept>
                <structure:Concept id="CURRENCY">
                    <common:Name xml:lang="en">Currency</common:Name>
                </structure:Concept>
                <structure:Concept id="DEPOSIT_TYPE">
                    <common:Name xml:lang="en">Deposit type</common:Name>
                </structure:Concept>
                <structure:Concept id="LOAN_TYPE">
                    <common:Name xml:lang="en">Loan type</common:Name>
                </structure:Concept>
                <structure:Concept id="WIQ">
                    <common:Name xml:lang="en">Wealth index quintile</common:Name>
                </structure:Concept>
                <structure:Concept id="PRODUCT">
                    <common:Name xml:lang="en">Product type</common:Name>
                </structure:Concept>
                <structure:Concept id="CROP">
                    <common:Name xml:lang="en">Crop type</common:Name>
                </structure:Concept>
                <structure:Concept id="CALAMITY">
                    <common:Name xml:lang="en">Natural calamity type</common:Name>
                </structure:Concept>
                <structure:Concept id="PLACE_OF_DELIVERY">
                    <common:Name xml:lang="en">Place of delivery</common:Name>
                </structure:Concept>
                <structure:Concept id="LIGHTING_SOURCE">
                    <common:Name xml:lang="en">Source of lighting</common:Name>
                </structure:Concept>
                <structure:Concept id="INTERNET_ACCESS">
                    <common:Name xml:lang="en">Place from where household members have access to Internet</common:Name>
                </structure:Concept>
                <structure:Concept id="POVERTY">
                    <common:Name xml:lang="en">Poverty level</common:Name>
                </structure:Concept>
                <structure:Concept id="LIVESTOCK">
                    <common:Name xml:lang="en">Livestock type</common:Name>
                </structure:Concept>
                <structure:Concept id="ASSISTANCE">
                    <common:Name xml:lang="en">Type of assistant</common:Name>
                </structure:Concept>
                <structure:Concept id="DEATH_PLACE">
                    <common:Name xml:lang="en">Place of death</common:Name>
                </structure:Concept>
                <structure:Concept id="ECE">
                    <common:Name xml:lang="en">Early childhood education</common:Name>
                </structure:Concept>
                <structure:Concept id="SCHOOL_PLACE">
                    <common:Name xml:lang="en">School place</common:Name>
                </structure:Concept>
                <structure:Concept id="PRESCHOOL_TYPE">
                    <common:Name xml:lang="en">Preschool type</common:Name>
                </structure:Concept>
                <structure:Concept id="SEASON">
                    <common:Name xml:lang="en">Season</common:Name>
                </structure:Concept>
                <structure:Concept id="OWNERSHIP">
                    <common:Name xml:lang="en">Type of ownership</common:Name>
                </structure:Concept>
                <structure:Concept id="POST_PARTUM_CARE">
                    <common:Name xml:lang="en">Post-partum care</common:Name>
                </structure:Concept>
                <structure:Concept id="DRINKING_WATER_SOURCE">
                    <common:Name xml:lang="en">Source of drinking water</common:Name>
                </structure:Concept>
                <structure:Concept id="TOILET_FACILITY">
                    <common:Name xml:lang="en">Toilet facility</common:Name>
                </structure:Concept>
                <structure:Concept id="HOUSEHOLD">
                    <common:Name xml:lang="en">Household type</common:Name>
                </structure:Concept>
                <structure:Concept id="CONTRACEPTION">
                    <common:Name xml:lang="en">Contraception method</common:Name>
                </structure:Concept>
                <structure:Concept id="COUNTRY_OF_RESID">
                    <common:Name xml:lang="en">Country of residence</common:Name>
                </structure:Concept>
            </structure:ConceptScheme>
            <structure:ConceptScheme id="MILLED_RICE_MD_CONCEPTS" agencyID="TN1" version="1.0" isFinal="false">
                <common:Name xml:lang="en">MILLED_RICE Metadata Structure concepts</common:Name>
                <structure:Concept id="HTML">
                    <common:Name xml:lang="en">Html</common:Name>
                </structure:Concept>
                <structure:Concept id="STRING">
                    <common:Name xml:lang="en">String</common:Name>
                </structure:Concept>
                <structure:Concept id="BOOLEAN">
                    <common:Name xml:lang="en">Number</common:Name>
                </structure:Concept>
                <structure:Concept id="DATETIME">
                    <common:Name xml:lang="en">DateTime</common:Name>
                </structure:Concept>
            </structure:ConceptScheme>
        </structure:Concepts>
        <structure:MetadataStructures>
            <structure:MetadataStructure id="MSD_MILLED_RICE" agencyID="TN1" version="1.0" isFinal="false">
                <common:Name xml:lang="en">MILLED_RICE MSD</common:Name>
                <structure:MetadataStructureComponents>
                    <structure:MetadataTarget id="DATAFLOW_TARGET">
                        <structure:IdentifiableObjectTarget id="DATA_FLOW" objectType="Dataflow">
                            <structure:LocalRepresentation>
                                <structure:TextFormat textType="IdentifiableReference"/>
                            </structure:LocalRepresentation>
                        </structure:IdentifiableObjectTarget>
                    </structure:MetadataTarget>
                    <structure:MetadataTarget id="KEY_TARGET">
                        <structure:KeyDescriptorValuesTarget id="DIMENSION_DESCRIPTOR_VALUES_TARGET">
                            <structure:LocalRepresentation>
                                <structure:TextFormat textType="KeyValues"/>
                            </structure:LocalRepresentation>
                        </structure:KeyDescriptorValuesTarget>
                    </structure:MetadataTarget>
                    <structure:ReportStructure id="METADATA_REPORT_KEY">
                        <structure:MetadataAttribute id="HTML" minOccurs="0" maxOccurs="1">
                            <structure:ConceptIdentity>
                                <Ref id="HTML" maintainableParentID="MILLED_RICE_MD_CONCEPTS" maintainableParentVersion="1.0" agencyID="TN1" package="conceptscheme" class="Concept"/>
                            </structure:ConceptIdentity>
                            <structure:LocalRepresentation>
                                <structure:TextFormat textType="XHTML"/>
                            </structure:LocalRepresentation>
                        </structure:MetadataAttribute>
                        <structure:MetadataAttribute id="STRING" minOccurs="0" maxOccurs="1">
                            <structure:ConceptIdentity>
                                <Ref id="STRING" maintainableParentID="MILLED_RICE_MD_CONCEPTS" maintainableParentVersion="1.0" agencyID="TN1" package="conceptscheme" class="Concept"/>
                            </structure:ConceptIdentity>
                            <structure:LocalRepresentation>
                                <structure:TextFormat textType="String"/>
                            </structure:LocalRepresentation>
                        </structure:MetadataAttribute>
                        <structure:MetadataAttribute id="BOOLEAN" minOccurs="0" maxOccurs="1">
                            <structure:ConceptIdentity>
                                <Ref id="BOOLEAN" maintainableParentID="MILLED_RICE_MD_CONCEPTS" maintainableParentVersion="1.0" agencyID="TN1" package="conceptscheme" class="Concept"/>
                            </structure:ConceptIdentity>
                            <structure:LocalRepresentation>
                                <structure:TextFormat textType="Boolean"/>
                            </structure:LocalRepresentation>
                        </structure:MetadataAttribute>
                        <structure:MetadataAttribute id="DATETIME" minOccurs="0" maxOccurs="1">
                            <structure:ConceptIdentity>
                                <Ref id="DATETIME" maintainableParentID="MILLED_RICE_MD_CONCEPTS" maintainableParentVersion="1.0" agencyID="TN1" package="conceptscheme" class="Concept"/>
                            </structure:ConceptIdentity>
                            <structure:LocalRepresentation>
                                <structure:TextFormat textType="DateTime"/>
                            </structure:LocalRepresentation>
                        </structure:MetadataAttribute>
                        <structure:MetadataTarget>
                            <Ref id="DATAFLOW_TARGET"/>
                        </structure:MetadataTarget>
                        <structure:MetadataTarget>
                            <Ref id="KEY_TARGET"/>
                        </structure:MetadataTarget>
                    </structure:ReportStructure>
                </structure:MetadataStructureComponents>
            </structure:MetadataStructure>
        </structure:MetadataStructures>
        <structure:DataStructures>
            <structure:DataStructure id="MILLED_RICE" agencyID="TN1" version="1.0" isFinal="true">
                <common:Annotations>
                    <common:Annotation>
                        <common:AnnotationTitle>urn:sdmx:org.sdmx.infomodel.metadatastructure.MetadataStructure=TN1:MSD_MILLED_RICE(1.0)</common:AnnotationTitle>
                        <common:AnnotationType>METADATA</common:AnnotationType>
                    </common:Annotation>
                </common:Annotations>
                <common:Name xml:lang="en">DSD: Milled rice</common:Name>
                <structure:DataStructureComponents>
                    <structure:DimensionList id="DimensionDescriptor">
                        <structure:Dimension id="REF_AREA" position="1">
                            <structure:ConceptIdentity>
                                <Ref id="REF_AREA" maintainableParentID="CS_DSD_DevInfo" maintainableParentVersion="1.0" agencyID="TN1" package="conceptscheme" class="Concept" />
                            </structure:ConceptIdentity>
                            <structure:LocalRepresentation>
                                <structure:Enumeration>
                                    <Ref id="CL_PROVINCES" version="1.0" agencyID="TN1" package="codelist" class="Codelist" />
                                </structure:Enumeration>
                            </structure:LocalRepresentation>
                        </structure:Dimension>
                        <structure:Dimension id="UNIT_MEASURE" position="2">
                            <structure:ConceptIdentity>
                                <Ref id="UNIT_MEASURE" maintainableParentID="CS_DSD_DevInfo" maintainableParentVersion="1.0" agencyID="TN1" package="conceptscheme" class="Concept" />
                            </structure:ConceptIdentity>
                            <structure:LocalRepresentation>
                                <structure:Enumeration>
                                    <Ref id="CL_UNIT_TONES" version="1.0" agencyID="TN1" package="codelist" class="Codelist" />
                                </structure:Enumeration>
                            </structure:LocalRepresentation>
                        </structure:Dimension>
                        <structure:Dimension id="FREQ" position="3">
                            <structure:ConceptIdentity>
                                <Ref id="FREQ" maintainableParentID="CS_DSD_DevInfo" maintainableParentVersion="1.0" agencyID="TN1" package="conceptscheme" class="Concept" />
                            </structure:ConceptIdentity>
                            <structure:LocalRepresentation>
                                <structure:Enumeration>
                                    <Ref id="CL_FREQ_A" version="1.0" agencyID="TN1" package="codelist" class="Codelist" />
                                </structure:Enumeration>
                            </structure:LocalRepresentation>
                        </structure:Dimension>
                        <structure:TimeDimension id="TIME_PERIOD" position="4">
                            <structure:ConceptIdentity>
                                <Ref id="TIME_PERIOD" maintainableParentID="CS_DSD_DevInfo" maintainableParentVersion="1.0" agencyID="TN1" package="conceptscheme" class="Concept" />
                            </structure:ConceptIdentity>
                            <structure:LocalRepresentation>
                                <structure:TextFormat textType="ObservationalTimePeriod" />
                            </structure:LocalRepresentation>
                        </structure:TimeDimension>
                    </structure:DimensionList>
                    <structure:AttributeList id="AttributeDescriptor">
                        <structure:Attribute id="SOURCE" assignmentStatus="Mandatory">
                            <structure:ConceptIdentity>
                                <Ref id="SOURCE" maintainableParentID="CS_DSD_DevInfo" maintainableParentVersion="1.0" agencyID="TN1" package="conceptscheme" class="Concept" />
                            </structure:ConceptIdentity>
                            <structure:LocalRepresentation>
                                <structure:TextFormat textType="String" />
                            </structure:LocalRepresentation>
                            <structure:AttributeRelationship>
                                <structure:PrimaryMeasure>
                                    <Ref id="OBS_VALUE" />
                                </structure:PrimaryMeasure>
                            </structure:AttributeRelationship>
                        </structure:Attribute>
                    </structure:AttributeList>
                    <structure:MeasureList id="MeasureDescriptor">
                        <structure:PrimaryMeasure id="OBS_VALUE">
                            <structure:ConceptIdentity>
                                <Ref id="OBS_VALUE" maintainableParentID="CS_DSD_DevInfo" maintainableParentVersion="1.0" agencyID="TN1" package="conceptscheme" class="Concept" />
                            </structure:ConceptIdentity>
                            <structure:LocalRepresentation>
                                <structure:TextFormat textType="Decimal" />
                            </structure:LocalRepresentation>
                        </structure:PrimaryMeasure>
                    </structure:MeasureList>
                </structure:DataStructureComponents>
            </structure:DataStructure>
        </structure:DataStructures>
        <structure:Constraints>
            <structure:ContentConstraint id="CR_A_MILLED_RICE" agencyID="TN1" version="1.0" isFinal="false" type="Actual">
                <common:Annotations>
                    <common:Annotation id="obs_count">
                        <common:AnnotationTitle>129</common:AnnotationTitle>
                        <common:AnnotationType>sdmx_metrics</common:AnnotationType>
                    </common:Annotation>
                    <common:Annotation>
                        <common:AnnotationTitle>A</common:AnnotationTitle>
                        <common:AnnotationType>ReleaseVersion</common:AnnotationType>
                    </common:Annotation>
                </common:Annotations>
                <common:Name xml:lang="en">Availability (A) for MILLED_RICE</common:Name>
                <structure:ConstraintAttachment>
                    <structure:Dataflow>
                        <Ref id="MILLED_RICE" version="1.0" agencyID="TN1" package="datastructure" class="Dataflow" />
                    </structure:Dataflow>
                </structure:ConstraintAttachment>
                <structure:CubeRegion include="true">
                    <common:KeyValue id="REF_AREA">
                        <common:Value>ASIKHM</common:Value>
                        <common:Value>ASIKHM001</common:Value>
                        <common:Value>ASIKHM002</common:Value>
                        <common:Value>ASIKHM003</common:Value>
                        <common:Value>ASIKHM004</common:Value>
                        <common:Value>ASIKHM005</common:Value>
                        <common:Value>ASIKHM006</common:Value>
                        <common:Value>ASIKHM007</common:Value>
                        <common:Value>ASIKHM008</common:Value>
                        <common:Value>ASIKHM009</common:Value>
                        <common:Value>ASIKHM010</common:Value>
                        <common:Value>ASIKHM011</common:Value>
                        <common:Value>ASIKHM012</common:Value>
                        <common:Value>ASIKHM013</common:Value>
                        <common:Value>ASIKHM014</common:Value>
                        <common:Value>ASIKHM015</common:Value>
                        <common:Value>ASIKHM016</common:Value>
                        <common:Value>ASIKHM017</common:Value>
                        <common:Value>ASIKHM018</common:Value>
                        <common:Value>ASIKHM019</common:Value>
                        <common:Value>ASIKHM020</common:Value>
                        <common:Value>ASIKHM021</common:Value>
                        <common:Value>ASIKHM022</common:Value>
                        <common:Value>ASIKHM023</common:Value>
                        <common:Value>ASIKHM024</common:Value>
                        <common:Value>ASIKHM025</common:Value>
                    </common:KeyValue>
                    <common:KeyValue id="UNIT_MEASURE">
                        <common:Value>TONES</common:Value>
                    </common:KeyValue>
                    <common:KeyValue id="FREQ">
                        <common:Value>A</common:Value>
                    </common:KeyValue>
                    <common:KeyValue id="TIME_PERIOD">
                        <common:TimeRange>
                            <common:StartPeriod isInclusive="true">2014-01-01T00:00:00</common:StartPeriod>
                            <common:EndPeriod isInclusive="true">2018-12-31T00:00:00</common:EndPeriod>
                        </common:TimeRange>
                    </common:KeyValue>
                </structure:CubeRegion>
            </structure:ContentConstraint>
        </structure:Constraints>
    </message:Structures>
</message:Structure>